<div class="header bg-gradient-danger py-7 py-lg-8">
  <div class="container">
    <div class="header-body text-center mb-7">
      <div class="row justify-content-center">
        <div class="col-lg-5 col-md-6">
          <img src="assets/img/brand/argon-white.png" style="width: 141px;">
        </div>
      </div>
    </div>
  </div>
  <div class="separator separator-bottom separator-skew zindex-100">
    <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg">
      <polygon class="fill-default" points="2560 0 2560 100 0 100"></polygon>
    </svg>
  </div>
</div>
<!-- Page content -->
<div class="container mt--8 pb-5">
  <div class="row justify-content-center">
    <div class="col-lg-5 col-md-7 col-xs-12">
      <div class="card bg-secondary shadow border-0">

        <div class="card-body px-lg-5 py-lg-5">
          <div class="text-center text-muted mb-4">
            <h3>Login with Mobile</h3>
            <h5 class="text-danger" *ngIf="mobile && mobile.invalid && mobile.touched">Invalid Phone Number</h5>
          </div>
          <!-- <form [formGroup]="loginUsers" (ngSubmit)="loginUserSubmit()">
            <div class="form-group mb-3">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-mobile-button"></i></span>
                </div>
                <input class="form-control" name="mobile" formControlName="mobile" placeholder="Mobile Number"
                  type="number">
              </div>
            </div>
            
            <div class="text-center">
              <button type="submit" [disabled]="loginUsers.invalid" class="btn btn-primary my-4">Send Otp</button>
            </div>
          </form> -->
          <form [formGroup]="aFormGroup" (ngSubmit)="loginUserSubmit()">
            <div class="form-group mb-3">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-mobile-button"></i></span>
                </div>
                <input class="form-control" name="mobile" formControlName="mobile" placeholder="Mobile Number"
                  type="number">
              </div>
            </div>
            <div class="form-group">

              <ngx-recaptcha2 #captchaElem [siteKey]="siteKey" [size]="Compact" formControlName="recaptcha">
              </ngx-recaptcha2>

            </div>
            <!-- <ngx-recaptcha2 #captchaElem
              [siteKey]="siteKey"
              formControlName="recaptcha">
            </ngx-recaptcha2> -->

            <div class="text-center">
              <button type="submit" [disabled]="aFormGroup.invalid" class="btn btn-primary my-4">Send Otp</button>
            </div>
          </form>

        </div>
      </div>

    </div>
  </div>
</div>